export const workTypeToFileType = {
    WORD: {
        description: "文字作品",
        supportedFileTypes: ["TEXT"]
    },
    ORAL: {
        description: "口述作品",
        supportedFileTypes: ["AUDIO"]
    },
    MUSIC: {
        description: "音乐作品",
        supportedFileTypes: ["AUDIO"]
    },
    DRAMA: {
        description: "戏剧作品",
        supportedFileTypes: ["TEXT"]
    },
    QUYI: {
        description: "曲艺作品",
        supportedFileTypes: ["TEXT"]
    },
    DANCE: {
        description: "舞蹈作品",
        supportedFileTypes: ["VIDEO"]
    },
    ACRABATICS: {
        description: "杂技作品",
        supportedFileTypes: ["VIDEO"]
    },
    ART: {
        description: "美术作品",
        supportedFileTypes: ["IMAGE"]
    },
    ARCHITECTURE: {
        description: "建筑作品",
        supportedFileTypes: ["IMAGE"]
    },
    PHOTOGRAPHY: {
        description: "摄影作品",
        supportedFileTypes: ["IMAGE"]
    },
    MOVIE: {
        description: "电影作品",
        supportedFileTypes: ["VIDEO"]
    },
    AUDIOVISUAL: {
        description: "类似摄制电影方法创作作品",
        supportedFileTypes: ["VIDEO"]
    },
    DESIGN: {
        description: "工程设计图、产品设计图",
        supportedFileTypes: ["IMAGE"]
    },
    DIAGRAM: {
        description: "示意图",
        supportedFileTypes: ["IMAGE"]
    },
    MODEL: {
        description: "模型",
        supportedFileTypes: ["IMAGE"]
    }
};
export const workStatus = {
    ALL: "全部",
    WAIT_SUBMIT: "待提交",
    COPYRIGHT_CHECK: "初审中",
    DIGITAL_CHECK: "复审中",
    DIGITAL_WAIT_PAY: "待支付",
    DIGITAL_REVIEW: "终审中",
    COMPLETED: "已完成",
    ALL_AMEND: "待补正",
    ALL_END: "已结束"
};
export const artWorkTypeOptions= [
    { label: "美术", value: "ART" },
    { label: "文字", value: "WORD" },
    { label: "口述", value: "ORAL" },
    { label: "音乐", value: "MUSIC" },
    { label: "戏剧", value: "DRAMA" },
    { label: "曲艺", value: "QUYI" },
    { label: "舞蹈", value: "DANCE" },
    { label: "杂技", value: "ACRABATICS" },
    { label: "建筑", value: "ARCHITECTURE" },
    { label: "摄影", value: "PHOTOGRAPHY" },
    { label: "电影", value: "MOVIE" },
    { label: "类似摄制电影", value: "AUDIOVISUAL" },
    { label: "工程设计图、产品设计图", value: "DESIGN" },
    { label: "示意图", value: "DIAGRAM" },
    { label: "模型", value: "MODEL" },
]
export const attendanceStatus = [
    {
        key: 'late',
        label: '迟到',
        color: 'rgb(255, 0, 0)'
    },
    {
        key: 'outWorkLate',
        label: '外勤迟到',
        color: 'rgb(255, 0, 0)'
    },
    {
        key: 'miss',
        label: '缺卡',
        color: 'rgb(255, 159, 0)'
    },
    {
        key: 'before',
        label: '早退',
        color: 'rgb(255, 0, 0)'
    },
    {
        key: 'outWorkBefore',
        label: '外勤早退',
        color: 'rgb(255, 0, 0)'
    },
    {
        key: 'overTime',
        label: '加班',
        color: 'rgb(118, 80, 254)'
    },
    {
        key: 'makeUp',
        label: '补卡',
        color: 'rgb(0, 103, 255)'
    },
    {
        key: 'makeUpSys',
        label: '系统补卡',
        color: 'rgb(0, 103, 255)'
    },
    {
        key: 'dayOff',
        label: '调休',
        color: 'rgb(0, 103, 255)'
    },
    {
        key: 'outWork',
        label: '外勤',
        color: 'rgb(118, 80, 254)'
    },
    {
        key: 'annualLeave',
        label: '年假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'leave',
        label: '事假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'maritalLeave',
        label: '婚假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'matingCheckLeave',
        label: '孕检假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'maternityLeave',
        label: '产假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'paternityLeave',
        label: '陪产假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'parentalLeave',
        label: '育儿假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'sick',
        label: '病假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'funeralLeave',
        label: '丧假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'nursingLeave',
        label: '独生子女护理假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'breastFeedingLeave',
        label: '哺乳假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'abortLeave',
        label: '流产假',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'goOut',
        label: '外出',
        color: 'rgb(5, 201, 36)'
    },
    {
        key: 'businessTrip',
        label: '出差',
        color: 'rgb(5, 201, 36)'
    },
];
